#
# spec file for package python-mockldap
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-mockldap
Version:        0.3.0
Release:        3.1
Summary:        A simple mock implementation of python-ldap
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://bitbucket.org/psagers/mockldap/
Source:         https://files.pythonhosted.org/packages/source/m/mockldap/mockldap-%{version}.tar.gz
BuildRequires:  %{python_module funcparserlib}
BuildRequires:  %{python_module ldap}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
Requires:       python-funcparserlib
Requires:       python-ldap
Requires:       python-mock
BuildArch:      noarch
%python_subpackages

%description
This project provides a mock replacement for python-ldap. It's useful for any
project that would like to write unit tests against LDAP code without relying
on a running LDAP server.

%prep
%setup -q -n mockldap-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Fri Jan 19 2018 tchvatal@suse.com
- Fix source url
* Thu Jan 18 2018 fbergmann@suse.com
- Update to 0.3.0:
  - Don’t delete attribute when moving an entry to new subtree with unchanged rdn.
    Thanks to Pär Wieslander.
  - Support '*' in attrlist.
  - Use pyldap under Python 3.
* Mon Jul 13 2015 mcihar@suse.cz
- Update to 0.2.5:
  - A simple implementation of passwd_s.
  - Fixes for DN case-insensitive matching.
* Wed Apr 22 2015 mcihar@suse.cz
- Update to 0.2.4:
  - Support SSHA passwords with salt of arbitrary length.
  - Don't support {CRYPT} passwords if crypt can't be imported.
* Wed Jul 23 2014 mcihar@suse.cz
- Update to 0.2.2:
  + Many changes including Python 3 support
* Wed May 28 2014 mcihar@suse.cz
- Fixed license string.
* Thu Oct 31 2013 mcihar@suse.cz
- Initial packaging.
